# Class DepositResponse

#### Hierarchy

- unknown
  - DepositResponse

- Defined in src/protobuf/pb_pb.d.ts:1301
- Defined in src/protobuf/pb_pb.d.ts:1328

#####
Index

### Constructors

constructor

### Methods

getBuyersecuritydeposit
getCurrentDate
getErrorMessage
getSellersecuritydeposit
getTradeId
getUid
serializeBinary
setBuyersecuritydeposit
setCurrentDate
setErrorMessage
setSellersecuritydeposit
setTradeId
setUid
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new DepositResponse(): DepositResponse

- #### Returns DepositResponse

  Inherited from jspb.Message.constructor

## Methods

### getBuyersecuritydeposit

- getBuyersecuritydeposit(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:1314

### getCurrentDate

- getCurrentDate(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:1308

### getErrorMessage

- getErrorMessage(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1311

### getSellersecuritydeposit

- getSellersecuritydeposit(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:1317

### getTradeId

- getTradeId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1302

### getUid

- getUid(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1305

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1320

### setBuyersecuritydeposit

- setBuyersecuritydeposit(value: number): DepositResponse

- #### Parameters

  - ##### value: number

  #### Returns DepositResponse

  - Defined in src/protobuf/pb_pb.d.ts:1315

### setCurrentDate

- setCurrentDate(value: number): DepositResponse

- #### Parameters

  - ##### value: number

  #### Returns DepositResponse

  - Defined in src/protobuf/pb_pb.d.ts:1309

### setErrorMessage

- setErrorMessage(value: string): DepositResponse

- #### Parameters

  - ##### value: string

  #### Returns DepositResponse

  - Defined in src/protobuf/pb_pb.d.ts:1312

### setSellersecuritydeposit

- setSellersecuritydeposit(value: number): DepositResponse

- #### Parameters

  - ##### value: number

  #### Returns DepositResponse

  - Defined in src/protobuf/pb_pb.d.ts:1318

### setTradeId

- setTradeId(value: string): DepositResponse

- #### Parameters

  - ##### value: string

  #### Returns DepositResponse

  - Defined in src/protobuf/pb_pb.d.ts:1303

### setUid

- setUid(value: string): DepositResponse

- #### Parameters

  - ##### value: string

  #### Returns DepositResponse

  - Defined in src/protobuf/pb_pb.d.ts:1306

### toObject

- toObject(includeInstance?: boolean): DepositResponse.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns DepositResponse.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:1321

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): DepositResponse

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns DepositResponse

  - Defined in src/protobuf/pb_pb.d.ts:1324

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: DepositResponse, reader: BinaryReader): DepositResponse

- #### Parameters

  - ##### message: DepositResponse

  - ##### reader: BinaryReader

  #### Returns DepositResponse

  - Defined in src/protobuf/pb_pb.d.ts:1325

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: DepositResponse, writer: BinaryWriter): void

- #### Parameters

  - ##### message: DepositResponse

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:1323

### `Static` toObject

- toObject(includeInstance: boolean, msg: DepositResponse): DepositResponse.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: DepositResponse

  #### Returns DepositResponse.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:1322

Generated using TypeDoc